ros-noetic-effort-controllers (0.20.0-1focal) focal; urgency=high

  * Drop old C++ standard
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 May 2022 23:00:00 -0000

ros-noetic-effort-controllers (0.19.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 12 Jun 2021 23:00:00 -0000

ros-noetic-effort-controllers (0.18.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-noetic-effort-controllers (0.18.0-1focal) focal; urgency=high

  * Update effort_controllers' package.xml file to format 3
  * Apply consistent format to effort_controllers' CMakeLists.txt file
  * Clean effort_controllers' dependencies
  * [effort_controllers] JointGroupPositionController: Change to initRT
  * [effort_controllers] JointGroupPositionController: Set to current position in starting
    Currently, the target position upon starting is all zeros. This is not
    great if a command is not issued immediately. To be safer, set the goal
    position to the current sensed position and also reset the PID internal
    state upon starting.
  * Remove unused transmission in effort_controllers test
  * Add missing test dependency on joint_state_controller in effort_controllers
  * [effort_controllers] JointGroupPositionController: Load URDF from namespace
    Mimics #245 <https://github.com/ros-controls/ros_controllers/issues/245>
  * Contributors: Mateus Amarante, Wolfgang Merkt

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-effort-controllers (0.17.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-noetic-effort-controllers (0.16.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-noetic-effort-controllers (0.16.0-1focal) focal; urgency=high

  * Added test for position controller
  * Solving issues with large rotational limits
  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * fix minor typo in documentation of setGains method
    Changes Get to Set of setGains method documentation
  * Contributors: Bence Magyar, F Pucher, Franco Fusco, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-effort-controllers (0.15.1-1focal) focal; urgency=high

  * add missing pluginlib deps.
  * effort_controllers: fix minor typo in setGains doc
  * Contributors: G.A. vd. Hoorn, Sean Yen

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-noetic-effort-controllers (0.15.0-1focal) focal; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::scoped_ptr -> std::unique_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-noetic-effort-controllers (0.14.3-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-noetic-effort-controllers (0.14.2-1focal) focal; urgency=high

  * Update maintainers
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-noetic-effort-controllers (0.14.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-noetic-effort-controllers (0.14.0-1focal) focal; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-noetic-effort-controllers (0.13.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-noetic-effort-controllers (0.13.1-1focal) focal; urgency=high

  * Code cleanup
  * Add JointGroupPositionController
  * Contributors: Bence Magyar, Maik Mugnai

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-noetic-effort-controllers (0.13.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-noetic-effort-controllers (0.12.3-1focal) focal; urgency=high

  * Supply NodeHandle to urdf::Model. Closes #244 <https://github.com/ros-controls/ros_controllers/issues/244>
  * Contributors: Piyush Khandelwal

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-noetic-effort-controllers (0.12.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-noetic-effort-controllers (0.12.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-noetic-effort-controllers (0.12.0-1focal) focal; urgency=high

  * Fix most catkin lint issues
  * Remove unused dependency
  * Change for format2
  * Add Enrique and Bence to maintainers
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-noetic-effort-controllers (0.11.2-1focal) focal; urgency=high

  * Included angles in dependencies
  * Contributors: Mr-Yellow

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-noetic-effort-controllers (0.11.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-noetic-effort-controllers (0.11.0-1focal) focal; urgency=high

  * Add antinwindup to get and setGains logic for underlying PID controller
  * Contributors: Paul Bovbel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-noetic-effort-controllers (0.10.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-noetic-effort-controllers (0.9.2-1focal) focal; urgency=high

  * Thread-safe and realtime-safe forward controllers.
  * Contributors: Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 03 May 2015 23:00:00 -0000

ros-noetic-effort-controllers (0.9.1-1focal) focal; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-noetic-effort-controllers (0.9.0-1focal) focal; urgency=high

  * Propagate changes made in forward_command_controller
  * Contributors: ipa-fxm

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-noetic-effort-controllers (0.8.1-1focal) focal; urgency=high

  * Add depend on angles
  * Contributors: Scott K Logan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 10 Jul 2014 23:00:00 -0000

ros-noetic-effort-controllers (0.8.0-1focal) focal; urgency=high

  * Remove rosbuild artifacts. Fix #90 <https://github.com/ros-controls/ros_controllers/issues/90>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 May 2014 23:00:00 -0000

ros-noetic-effort-controllers (0.7.2-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-noetic-effort-controllers (0.7.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-noetic-effort-controllers (0.7.0-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-noetic-effort-controllers (0.6.0-1focal) focal; urgency=high

  * Added new has_velocity flag that indiciates if a target velocity has been set
  * Contributors: Dave Coleman

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-noetic-effort-controllers (0.5.4-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 29 Sep 2013 23:00:00 -0000

ros-noetic-effort-controllers (0.5.3-1focal) focal; urgency=high

  * Removed manifest.xml from all packages to prevent rosdep heirarchy issues in Groovy and Hydro
  * Added ignored manifest.xml files, added rule to .gitignore

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 Sep 2013 23:00:00 -0000

ros-noetic-effort-controllers (0.5.2-1focal) focal; urgency=high

  * Minor comment fix
  * Critical bug: velocity controller init() does not get hardware_interface handle for joint
  * Fixes for joint_position_controller
  * Consolidated position and velocity command into one realtime buffer
  * Tweaked header guard
  * Added ability to set target velocity, CMake cleanup
  * Removed debug output from realtime context
  * Removed blocking msgs from realtime loop
  * Added joint limit enforcement for controller set point command

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 05 Aug 2013 23:00:00 -0000

ros-noetic-effort-controllers (0.5.1-1focal) focal; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 18 Jul 2013 23:00:00 -0000

ros-noetic-effort-controllers (0.5.0-1focal) focal; urgency=high

  * Merged
  * Removed controller_msgs
  * Fixed PID destructor bug, cleaned up code
  * Add meta tags to packages not specifying them.
    - Website, bugtracker, repository.
  * Restore "Fixed PLUGINLIB_DECLARE_CLASS depreacated errors""
    This reverts commit 0862ad93696b0d736b565cd65ea36690dde0eaa7.
  * Fixing reversed error computation...
  * Adding install targets for plugin xml files
  * Revert "Fixed PLUGINLIB_DECLARE_CLASS depreacated errors"
    This reverts commit 2314b8b434e35dc9c1c298140118a004e00febd8.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 15 Jul 2013 23:00:00 -0000

ros-noetic-effort-controllers (0.4.0-1focal) focal; urgency=high

  * Version 0.4.0
  * Fixing position effort controller pid command args
  * Fixed control_toolbox deprecated errors with updatePid()
  * Fixed PLUGINLIB_DECLARE_CLASS depreacated errors
  * Propagate API changes in hardware_interface.
  * adding install targets
  * adding switches for hybrid buildsystem
  * adding back more manifests and makefiles
  * Trivial log message fix.
  * Fixing library export
  * adding these packages which weren't seen by catkinize_stack
  * bumping version
  * adding package.xml files
  * Catkinizing. Building, but could still be cleaned up
  * Extend joint_effort_controller to other interfaces
    - Factor-out implementation of simple command-forwarding controller.
    - Provide specializations (typedefs really) for effort, velocity and position
    interfaces.
  * Fix documentation typo.
  * Add .gitignore files on a per-package basis.
  * effort_controllers::joint_velocity_controller was not being built
  * Fixing typos in JointVelocityController
  * port to new api with time and duration
  * fix xml filename
  * register controllers
  * fixes
  * add position controller
  * port another controller
  * clean up dependencies
  * first simple controller for testing

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 25 Jun 2013 23:00:00 -0000


